aboutsummaryrefslogtreecommitdiffstats
path: root/tests/regression.sh
diff options
context:
space:
mode:
authorPhilip Gladstone <philipjsg@users.sourceforge.net>2003-04-15 01:58:46 +0000
committerPhilip Gladstone <philipjsg@users.sourceforge.net>2003-04-15 01:58:46 +0000
commite31c1c30d20510dd1558e4b55bfe192c474bf519 (patch)
tree4a2cfc00a4b2a3263270961e1075e013dbb747dc /tests/regression.sh
parent129dfab2c709b0b2881687bf04ca73a139587029 (diff)
downloadffmpeg-e31c1c30d20510dd1558e4b55bfe192c474bf519.tar.gz
* Removed ffmpeg output during encoding runs. Now only print out errors
* Try to fix mysterious sort order issue in ffserver tests Originally committed as revision 1775 to svn://svn.ffmpeg.org/ffmpeg/trunk
Diffstat (limited to 'tests/regression.sh')
-rwxr-xr-xtests/regression.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/regression.sh b/tests/regression.sh
index d22a7b463f..227c413739 100755
--- a/tests/regression.sh
+++ b/tests/regression.sh
@@ -60,7 +60,9 @@ do_ffmpeg()
f="$1"
shift
echo $ffmpeg -bitexact -dct_algo 1 -idct_algo 2 $*
- $ffmpeg -bitexact -dct_algo 1 -idct_algo 2 -benchmark $* > $datadir/bench.tmp
+ $ffmpeg -bitexact -dct_algo 1 -idct_algo 2 -benchmark $* > $datadir/bench.tmp 2> /tmp/ffmpeg$$
+ grep -v -e ^Stream -e ^Press -e ^Input -e ^Output -e ^frame -e '^ Stream' /tmp/ffmpeg$$ || true
+ rm -f /tmp/ffmpeg$$
md5sum -b $f >> $logfile
if [ $f = $raw_dst ] ; then
$tiny_psnr $f $raw_ref >> $logfile